
Katello - Bug #4915

content views: undefined method error while publish a CV that includes errata filter

03/27/2014 06:20 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

see https://bugzilla.redhat.com/show_bug.cgi?id=1079278

Associated revisions

Revision 80c01a3d - 03/27/2014 06:21 PM - Brad Buckingham

fixes #4915 - content view publish - resolve method undefined errors

This commit addresses a couple of undefined method errors that

have been observed.

- package_clause_generator - observed error in production configuration

when filter contained errata; however, same should occur for package

groups

- content_view_erratum_filter - observed error if the errata id filter

was empty (ie. no rules/ids)

Revision 95db9699 - 03/27/2014 09:18 PM - Brad Buckingham

Merge pull request #3905 from bbuckingham/issue-4915

fixes #4915 - content view publish - resolve method undefined errors

History

#1 - 03/27/2014 06:20 PM - Brad Buckingham

- Triaged changed from No to Yes

#2 - 03/27/2014 09:52 PM - Brad Buckingham

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:80c01a3d01c3e60b2259b24db1b9a7189745fa71.

#3 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
